﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SelectAllMvvm.Assets
{
    public class XamlProxy : DependencyObject
    {
        public object ProxiedObject
        {
            get { return (object)GetValue(ProxiedObjectProperty); }
            set { SetValue(ProxiedObjectProperty, value); }
        }

        // Using a DependencyProperty as the backing store for ProxiedObject.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty ProxiedObjectProperty =
            DependencyProperty.Register("ProxiedObject", typeof(object), typeof(XamlProxy), null);

    }
}
